0

I'm trying to use my GPU with the game Counter-Strike 1.6 using Wine on Manjaro (Linux).

The following error occurs:

Cannot access secondary GPU - error: [XORG] (EE) NOUVEAU(0): [drm] failed to set drm interface version.

Command:

optirun wine hl.exe -- hl.exe -console -game cstrike -full -noipx -toconsole +connect

GPU model:

NVIDIA Corporation GF108M [GeForce GT 630M]

NOTE I: It's an NVIDIA with Optimus technology.
NOTE II: The driver in use is "video-hybrid-intel-nouveau-bumblebee".

0

To the failure below...

Cannot access secondary GPU - error: [XORG] (EE) NOUVEAU(0): [drm] failed to set drm interface version.

... does not happen anymore do the following.

Remove the bumblebee and its dependencies:

Remove the bumblebee and video-hybrid-intel-nouveau-bumblebee to avoid the failure...

Error: config 'video-hybrid-intel-nvidia-bumblebee' conflicts with config(s): video-hybrid-intel-nouveau-bumblebee

... when trying to run the command "mhwd -a pci nonfree 0300 -f".

pacman -Rdcs bumblebee
mhwd -r pci video-hybrid-intel-nouveau-bumblebee

Install the most suitable proprietary driver for your GPU:

mhwd -a pci nonfree 0300 -f

NOTE: The above command will automatically install the best driver for your GPU.

To test:

vblank_mode=0 primusrun glxgears -info

If all goes well something like this will be displayed:

GL_RENDERER   = GeForce GT 630M/PCIe/SSE2

NOTE I: The option "vblank_mode = 0" is only for "benchmark" purpose, that is, for the GPU run with all its power. In normal execution this is not necessary unless you want to waste GPU processing power and electrical power.
NOTE II: optirun is deprecated, use primusrun instead.

Primus bridge:

In general, using the primus bridge gives better performance then using the default VirtualGL bridge (optirun). In bumblebee 4.0 (coming soon) primus will become the default bridge and VirtuaGL will need to be called explicitly if you still want it. Also beginning with bumblebee 4.0 (coming soon) the VirtuaGL dependency will be replaced with a primus dependency instead. So you might not even have VirtuaGL installed by default in the future.

So I recommend set Bridge=primus in /etc/bumblebee/bumblebee.conf. In this way you won't have to specify it on the command line ("optirun -b primus").

NOTE: By now primusrun do not accept options as optirun does. Setting primus as the bridge for optirun provides more flexibility.

TIP:

To check which GPUs are available on Manjaro (Linux) type...

lspci | egrep "(VGA|3D)"

REFERENCES:

https://forum.manjaro.org/t/newbie-questions-about-hybrid-nvidia-and-intel-gpu-drives-tutorial/2974/27 https://wiki.archlinux.org/index.php/bumblebee https://www.linux.org.ru/forum/desktop/11142476 http://www.manjaro.fr/forum/viewtopic.php?t=6445&p=78191 https://forum.archlinux-br.org/viewtopic.php?id=4644 http://manjaro-linux.com.br/forum/dicas-truques/alternar-entre-nvidia-ou-nouveau-optimus-com-mhwd-t1160.html

https://classicforum.manjaro.org/index.php?topic=3385.0

NOTE: This thread was originally created by me in... optirun - Cannot access secondary GPU - error: [XORG] (EE) NOUVEAU(0): [drm] failed to set drm interface version I just transposed it to the official Manjaro forum

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.